SynchChannelToSocketAdapter (ActiveIO 1.0 API)
Keywords: org.activeio.adapter.SynchChannelToSocketAdapter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.activeio.adapter
Class SynchChannelToSocketAdapter

    java.lang.Object
      java.net.Socket
          org.activeio.adapter.SynchChannelToSocketAdapter

public class SynchChannelToSocketAdapter
extends java.net.Socket

Provides a `Socket` interface to a `SynchChannel`. If the `SynchChannel` being adapted can not be `Channel.narrow(Class)`ed to a `SocketMetadata` then all methods accessing socket metadata will throw a `SocketException`.

Field Summary
`(package private) boolean` | `closed`

Fields inherited from class java.net.Socket
``

Constructor Summary
`SynchChannelToSocketAdapter(SynchChannel channel)`
`SynchChannelToSocketAdapter(SynchChannel channel, SocketMetadata socketMetadata)`

Method Summary
`void` | `bind(java.net.SocketAddress bindpoint)`
`void` | `close()`
`void` | `connect(java.net.SocketAddress endpoint)`
`void` | `connect(java.net.SocketAddress endpoint, int timeout)`
`java.nio.channels.SocketChannel` | `getChannel()`
`java.net.InetAddress` | `getInetAddress()`
`java.io.InputStream` | `getInputStream()`
`boolean` | `getKeepAlive()`
`java.net.InetAddress` | `getLocalAddress()`
`int` | `getLocalPort()`
`java.net.SocketAddress` | `getLocalSocketAddress()`
`boolean` | `getOOBInline()`
`java.io.OutputStream` | `getOutputStream()`
`int` | `getPort()`
`int` | `getReceiveBufferSize()`
`java.net.SocketAddress` | `getRemoteSocketAddress()`
`boolean` | `getReuseAddress()`
`int` | `getSendBufferSize()`
`protected SocketMetadata` | `getSocketMetadata()`
`int` | `getSoLinger()`
`int` | `getSoTimeout()`
`boolean` | `getTcpNoDelay()`
`int` | `getTrafficClass()`
`boolean` | `isBound()`
`boolean` | `isClosed()`
`boolean` | `isConnected()`
`boolean` | `isInputShutdown()`
`boolean` | `isOutputShutdown()`
`void` | `sendUrgentData(int data)`
`void` | `setKeepAlive(boolean on)`
`void` | `setOOBInline(boolean on)`
`void` | `setReceiveBufferSize(int size)`
`void` | `setReuseAddress(boolean on)`
`void` | `setSendBufferSize(int size)`
`void` | `setSoLinger(boolean on, int linger)`
`void` | `setSoTimeout(int timeout)`
`void` | `setTcpNoDelay(boolean on)`
`void` | `setTrafficClass(int tc)`
`void` | `shutdownInput()`
`void` | `shutdownOutput()`

Methods inherited from class java.net.Socket
`setSocketImplFactory, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### closed

    boolean closed

Constructor Detail

### SynchChannelToSocketAdapter

    public SynchChannelToSocketAdapter(SynchChannel channel)

### SynchChannelToSocketAdapter

    public SynchChannelToSocketAdapter(SynchChannel channel,
                                       SocketMetadata socketMetadata)

Method Detail

### isConnected

    public boolean isConnected()

### isBound

    public boolean isBound()

### isClosed

    public boolean isClosed()

### bind

    public void bind(java.net.SocketAddress bindpoint)
              throws java.io.IOException

  Throws:
    `java.io.IOException`

### close

    public void close()
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### connect

    public void connect(java.net.SocketAddress endpoint)
                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### connect

    public void connect(java.net.SocketAddress endpoint,
                        int timeout)
                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### getChannel

    public java.nio.channels.SocketChannel getChannel()

### getInputStream

    public java.io.InputStream getInputStream()
                                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### getOutputStream

    public java.io.OutputStream getOutputStream()
                                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### isInputShutdown

    public boolean isInputShutdown()

### isOutputShutdown

    public boolean isOutputShutdown()

### sendUrgentData

    public void sendUrgentData(int data)
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### getSoTimeout

    public int getSoTimeout()
                     throws java.net.SocketException

  Throws:
    `java.net.SocketException`

### setSoTimeout

    public void setSoTimeout(int timeout)
                      throws java.net.SocketException

  Throws:
    `java.net.SocketException`

### shutdownOutput

    public void shutdownOutput()
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### shutdownInput

    public void shutdownInput()
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### getSocketMetadata

    protected SocketMetadata getSocketMetadata()
                                        throws java.net.SocketException

  Throws:
    `java.net.SocketException`

### getInetAddress

    public java.net.InetAddress getInetAddress()

### getKeepAlive

    public boolean getKeepAlive()
                         throws java.net.SocketException

  Throws:
    `java.net.SocketException`

### getLocalAddress

    public java.net.InetAddress getLocalAddress()

### getLocalPort

    public int getLocalPort()

### getLocalSocketAddress

    public java.net.SocketAddress getLocalSocketAddress()

### getOOBInline

    public boolean getOOBInline()
                         throws java.net.SocketException

  Throws:
    `java.net.SocketException`

### getPort

    public int getPort()

### getReceiveBufferSize

    public int getReceiveBufferSize()
                             throws java.net.SocketException

  Throws:
    `java.net.SocketException`

### getRemoteSocketAddress

    public java.net.SocketAddress getRemoteSocketAddress()

### getReuseAddress

    public boolean getReuseAddress()
                            throws java.net.SocketException

  Throws:
    `java.net.SocketException`

### getSendBufferSize

    public int getSendBufferSize()
                          throws java.net.SocketException

  Throws:
    `java.net.SocketException`

### getSoLinger

    public int getSoLinger()
                    throws java.net.SocketException

  Throws:
    `java.net.SocketException`

### getTcpNoDelay

    public boolean getTcpNoDelay()
                          throws java.net.SocketException

  Throws:
    `java.net.SocketException`

### getTrafficClass

    public int getTrafficClass()
                        throws java.net.SocketException

  Throws:
    `java.net.SocketException`

### setKeepAlive

    public void setKeepAlive(boolean on)
                      throws java.net.SocketException

  Throws:
    `java.net.SocketException`

### setOOBInline

    public void setOOBInline(boolean on)
                      throws java.net.SocketException

  Throws:
    `java.net.SocketException`

### setReceiveBufferSize

    public void setReceiveBufferSize(int size)
                              throws java.net.SocketException

  Throws:
    `java.net.SocketException`

### setReuseAddress

    public void setReuseAddress(boolean on)
                         throws java.net.SocketException

  Throws:
    `java.net.SocketException`

### setSendBufferSize

    public void setSendBufferSize(int size)
                           throws java.net.SocketException

  Throws:
    `java.net.SocketException`

### setSoLinger

    public void setSoLinger(boolean on,
                            int linger)
                     throws java.net.SocketException

  Throws:
    `java.net.SocketException`

### setTcpNoDelay

    public void setTcpNoDelay(boolean on)
                       throws java.net.SocketException

  Throws:
    `java.net.SocketException`

### setTrafficClass

    public void setTrafficClass(int tc)
                         throws java.net.SocketException

  Throws:
    `java.net.SocketException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © -2005 The ActiveIO Project. All Rights Reserved.